package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.IndustrialAccidentDeath;
import com.lightinit.hsdatashow.entity.IndustrialAccidentDeathExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.ChartModel;
import org.apache.ibatis.annotations.Param;

public interface IndustrialAccidentDeathMapper {
    long countByExample(IndustrialAccidentDeathExample example);

    int deleteByExample(IndustrialAccidentDeathExample example);

    int deleteByPrimaryKey(Long id);

    int insert(IndustrialAccidentDeath record);

    int insertSelective(IndustrialAccidentDeath record);

    List<IndustrialAccidentDeath> selectByExample(IndustrialAccidentDeathExample example);

    IndustrialAccidentDeath selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") IndustrialAccidentDeath record, @Param("example") IndustrialAccidentDeathExample example);

    int updateByExample(@Param("record") IndustrialAccidentDeath record, @Param("example") IndustrialAccidentDeathExample example);

    int updateByPrimaryKeySelective(IndustrialAccidentDeath record);

    int updateByPrimaryKey(IndustrialAccidentDeath record);

    List<ChartModel> getAccidentDeath();
}